Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162908 - CAN-2005-2177 net-snmp denial of service
Summary: CAN-2005-2177 net-snmp denial of service
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: net-snmp
Version: 4
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Radek Vokal
QA Contact:
URL:
Whiteboard: impact=low,public=20050701,source=cve...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-11 16:17 UTC by Josh Bressers
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-13 11:30:17 UTC


Attachments (Terms of Use)

Description Josh Bressers 2005-07-11 16:17:43 UTC
+++ This bug was initially created as a clone of Bug #162907 +++

This text comes from this message:
http://sourceforge.net/mailarchive/forum.php?thread_id=7659656&forum_id=12455
From: Wes Hardaker

 A security vulnerability has been found in Net-SNMP releases that
 could allow a denial of service attack against Net-SNMP agent"s which
 have opened a stream based protocol (EG, TCP but not UDP; it should be
 noted that Net-SNMP does not by default open a TCP port).  Because of
 this, we"ve immediately released a number of Net-SNMP versions
 (5.2.1.2, 5.1.3, and 5.0.10.2) to fix this problem in the various
 Net-SNMP branches.  Most of these versions are minor patches from a
 previous release, but since we were so close to releasing 5.1.3 anyway
 we decided to do a full release of that rather than an incremental
 release from the 5.1.2 release.

Comment 1 Josh Bressers 2005-07-11 16:18:38 UTC
This issue should also affect FC3

Comment 2 Radek Vokal 2005-07-13 11:30:17 UTC
Fixed in rawhide and also in FC3 and FC4.


Note You need to log in before you can comment on or make changes to this bug.